# GetDocumentStatus

Checks the status of a document

`GET /documents/{documentId}/status`

**API:** Avalara E-Invoicing API
**Tag:** Documents
**API Version:** 1.5
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.5/methods/Documents/GetDocumentStatus/

## Description

Uses the documentId from the POST /documents response body to return the current status of a document.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | Header that specifies the API version to use (for example "1.5"). |
| `X-Avalara-Client` | string | header | No | Optional header for a client identifier string used for diagnostics (for example "Fingerprint"). |
| `documentId` |  | path | Yes | The unique documentId returned in the POST /documents response body. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the current status for the specified documentId. | `DocumentStatusResponse` |
| 401 | Unauthorized. |  |
| 403 | Forbidden. | `ForbiddenError` |
| 404 | A document for the specified ID was not found. | `NotFoundError` |

### 200 Response: `DocumentStatusResponse`

Returns the current document ID and status

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | The unique ID for this document Example: `52f60401-44d0-4667-ad47-4afe519abb53`. |
| `status` | string | No | Document status. See the `supportedDocumentStatuses` field in the GET /mandates response for full status definitions. Example: `Fully Paid`. |
| `events` | StatusEvent[] | No |  |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/documents/{documentId}/status" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```